Bug 49158 - webkit-patch suggest-reviewers dies when ChangeLogs are missing
Summary: webkit-patch suggest-reviewers dies when ChangeLogs are missing
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 49156
  Show dependency treegraph
 
Reported: 2010-11-07 20:38 PST by Eric Seidel (no email)
Modified: 2011-01-14 02:27 PST (History)
7 users (show)

See Also:


Attachments
Patch (5.09 KB, patch)
2011-01-13 20:12 PST, Eric Seidel (no email)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2010-11-07 20:38:35 PST
webkit-patch suggest-reviewers dies when ChangeLogs are missing

Failed to run "[u'svn', u'cat', u'-r', u'20242', u'http://svn.webkit.org/repository/webkit/trunk/WebCore/ChangeLog']" exit_code: 1
svn: Unable to find repository location for 'http://svn.webkit.org/repository/webkit/trunk/WebCore/ChangeLog' in revision 20242

Failed to run "[u'svn', u'cat', u'-r', u'20242', u'http://svn.webkit.org/repository/webkit/trunk/WebCore/ChangeLog']" exit_code: 1

Traceback (most recent call last):
  File "/Projects/WebKit/WebKitTools/Scripts/webkit-patch", line 70, in <module>
    main()
  File "/Projects/WebKit/WebKitTools/Scripts/webkit-patch", line 65, in main
    WebKitPatch(__file__).main()
  File "/Projects/WebKit/WebKitTools/Scripts/webkitpy/tool/multicommandtool.py", line 308, in main
    result = command.check_arguments_and_execute(options, args, self)
  File "/Projects/WebKit/WebKitTools/Scripts/webkitpy/tool/multicommandtool.py", line 117, in check_arguments_and_execute
    return self.execute(options, args, tool) or 0
  File "/Projects/WebKit/WebKitTools/Scripts/webkitpy/tool/commands/queries.py", line 57, in execute
    reviewers = tool.checkout().suggested_reviewers(options.git_commit)
  File "/Projects/WebKit/WebKitTools/Scripts/webkitpy/common/checkout/api.py", line 127, in suggested_reviewers
    commit_infos = self.recent_commit_infos_for_files(changed_files)
  File "/Projects/WebKit/WebKitTools/Scripts/webkitpy/common/checkout/api.py", line 123, in recent_commit_infos_for_files
    return set(map(self.commit_info_for_revision, revisions))
  File "/Projects/WebKit/WebKitTools/Scripts/webkitpy/common/memoized.py", line 45, in __call__
    result = self._function(*args)
  File "/Projects/WebKit/WebKitTools/Scripts/webkitpy/common/checkout/api.py", line 66, in commit_info_for_revision
    changelog_entries = self.changelog_entries_for_revision(revision)
  File "/Projects/WebKit/WebKitTools/Scripts/webkitpy/common/checkout/api.py", line 61, in changelog_entries_for_revision
    return [self._latest_entry_for_changelog_at_revision(path, revision) for path in changed_files if self._is_path_to_changelog(path)]
  File "/Projects/WebKit/WebKitTools/Scripts/webkitpy/common/checkout/api.py", line 52, in _latest_entry_for_changelog_at_revision
    changelog_contents = self._scm.contents_at_revision(changelog_path, revision)
  File "/Projects/WebKit/WebKitTools/Scripts/webkitpy/common/checkout/scm.py", line 480, in contents_at_revision
    return self.run(["svn", "cat", "-r", revision, remote_path], decode_output=False)
  File "/Projects/WebKit/WebKitTools/Scripts/webkitpy/common/checkout/scm.py", line 159, in run
    decode_output=decode_output)
  File "/Projects/WebKit/WebKitTools/Scripts/webkitpy/common/system/executive.py", line 92, in run_command
    return Executive().run_command(*args, **kwargs)
  File "/Projects/WebKit/WebKitTools/Scripts/webkitpy/common/system/executive.py", line 375, in run_command
    (error_handler or self.default_error_handler)(script_error)
  File "/Projects/WebKit/WebKitTools/Scripts/webkitpy/common/system/executive.py", line 291, in default_error_handler
    raise error
webkitpy.common.system.executive.ScriptError: Failed to run "[u'svn', u'cat', u'-r', u'20242', u'http://svn.webkit.org/repository/webkit/trunk/WebCore/ChangeLog']" exit_code: 1
Comment 1 Eric Seidel (no email) 2010-11-07 20:41:05 PST
Hmm... http://trac.webkit.org/changeset/20242 seems to have a ChangeLog.  Not sure why this is failing.
Comment 2 Eric Seidel (no email) 2010-11-07 20:44:00 PST
% svn cat -r 20242 http://svn.webkit.org/repository/webkit/trunk/WebCore/ChangeLog
svn: Unable to find repository location for 'http://svn.webkit.org/repository/webkit/trunk/WebCore/ChangeLog' in revision 20242

The error makes no sense to me.  Maybe Bill understands?
Comment 3 Eric Seidel (no email) 2010-11-07 20:45:41 PST
svn cat -r 71493 http://svn.webkit.org/repository/webkit/trunk/WebCore/ChangeLog on the other hand works just fine.  Suggesting this is some sort of svn-server-side mis-config.  That change is old-enough that it may have come from the cvs-import.
Comment 4 Eric Seidel (no email) 2010-12-02 11:35:03 PST
See also bug 50403.
Comment 5 Eric Seidel (no email) 2011-01-13 20:12:08 PST
Created attachment 78885 [details]
Patch
Comment 6 Eric Seidel (no email) 2011-01-13 20:13:36 PST
We could also add an option to _latest_entry_for_changelog_at_revision to have it return None on error.  That might be cleaner than this patch.
Comment 7 David Levin 2011-01-13 21:16:24 PST
Comment on attachment 78885 [details]
Patch

ok.
Comment 8 WebKit Commit Bot 2011-01-13 21:40:33 PST
Comment on attachment 78885 [details]
Patch

Clearing flags on attachment: 78885

Committed r75769: <http://trac.webkit.org/changeset/75769>
Comment 9 WebKit Commit Bot 2011-01-13 21:40:40 PST
All reviewed patches have been landed.  Closing bug.
Comment 10 WebKit Review Bot 2011-01-13 22:35:34 PST
http://trac.webkit.org/changeset/75769 might have broken Qt Linux Release
Comment 11 Eric Seidel (no email) 2011-01-14 01:52:58 PST
Committed r75779: <http://trac.webkit.org/changeset/75779>
Comment 12 WebKit Review Bot 2011-01-14 02:27:29 PST
http://trac.webkit.org/changeset/75779 might have broken SnowLeopard Intel Release (Tests)
The following tests are not passing:
http/tests/xmlhttprequest/cross-origin-authorization.html